org.keycloak.services.managers

## Class UsersSyncManager

- java.lang.Object
- - org.keycloak.services.managers.UsersSyncManager

-     public class UsersSyncManager
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UsersSyncManager.FederationProviderClusterEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ServicesLogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsersSyncManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrapPeriodic(KeycloakSessionFactory sessionFactory, TimerProvider timer)` Check federationProviderModel of all realms and possibly start periodic sync for them
    `void` | `notifyToRefreshPeriodicSync(KeycloakSession session, RealmModel realm, UserFederationProviderModel federationProvider, boolean removed)`
    `protected void` | `refreshPeriodicSyncForProvider(KeycloakSessionFactory sessionFactory, TimerProvider timer, UserFederationProviderModel fedProvider, String realmId)`
    `protected void` | `removePeriodicSyncForProvider(TimerProvider timer, UserFederationProviderModel fedProvider)`
    `UserFederationSyncResult` | `syncAllUsers(KeycloakSessionFactory sessionFactory, String realmId, UserFederationProviderModel fedProvider)`
    `UserFederationSyncResult` | `syncChangedUsers(KeycloakSessionFactory sessionFactory, String realmId, UserFederationProviderModel fedProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final ServicesLogger logger

  - ### Constructor Detail

    - #### UsersSyncManager

          public UsersSyncManager()

  - ### Method Detail

    - #### bootstrapPeriodic

          public void bootstrapPeriodic(KeycloakSessionFactory sessionFactory,
                                        TimerProvider timer)

      Check federationProviderModel of all realms and possibly start periodic sync for them
      Parameters:
        `sessionFactory` -
        `timer` -

    - #### syncAllUsers

          public UserFederationSyncResult syncAllUsers(KeycloakSessionFactory sessionFactory,
                                                       String realmId,
                                                       UserFederationProviderModel fedProvider)

    - #### syncChangedUsers

          public UserFederationSyncResult syncChangedUsers(KeycloakSessionFactory sessionFactory,
                                                           String realmId,
                                                           UserFederationProviderModel fedProvider)

    - #### notifyToRefreshPeriodicSync

          public void notifyToRefreshPeriodicSync(KeycloakSession session,
                                                  RealmModel realm,
                                                  UserFederationProviderModel federationProvider,
                                                  boolean removed)

    - #### refreshPeriodicSyncForProvider

          protected void refreshPeriodicSyncForProvider(KeycloakSessionFactory sessionFactory,
                                                        TimerProvider timer,
                                                        UserFederationProviderModel fedProvider,
                                                        String realmId)

    - #### removePeriodicSyncForProvider

          protected void removePeriodicSyncForProvider(TimerProvider timer,
                                                       UserFederationProviderModel fedProvider)

Copyright © 2016 JBoss by Red Hat. All rights reserved.